//
//  Lists.h
//  Lists
//
//  Created by William Ray on 1/28/12.
//  Copyright (c) 2012 SGF. All rights reserved.
//

#import <Foundation/Foundation.h>

typedef struct DLNode DLNode;
struct DLNode {
	void   *item;
	DLNode *next;
	DLNode *prev;
};

@interface Lists : NSObject {
@private 
	DLNode *head;
    DLNode *tail;
	DLNode *current;
@public
    bool isHead;
    bool isTail;
}	

- (id)initDLList: (void*)anitem;
- (void)prepend:  (void*)anitem;
- (void)append:   (void*)anitem;
- (void)insert:   (void*)anitem;
- (void)replace:  (void*)anitem;
- (void)remove:   (void*)anitem;
- (void*)gotoHead;
- (void*)gotoTail;
- (void*)getNext;
- (void*)getPrev;
- (void*)getCurrent;

@end
