//
//  SGFAppDelegate.h
//  BeeLine
//
//  Created by William Ray on 2/5/12.
//  Copyright (c) 2012 SGF. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#import "QuartzGrough.h"
#import "PointsBrowser.h"

static NSWindow *theWindow;
static QuartzGrough *theGroughGraph;

@class QuartzGrough, PointsBrowser;

@interface SGFAppDelegate : NSObject <NSApplicationDelegate>
@property (assign) IBOutlet NSWindow *window;
@property (strong) IBOutlet QuartzGrough *myGroughGraph;
@property (strong) IBOutlet NSTextField *xCoord;
@property (strong) IBOutlet NSTextField *yCoord;
@property (strong) IBOutlet PointsBrowser *ptsBrowser;



+ (NSWindow*)getTheWindow;
+ (QuartzGrough*)getTheGroughGraph;

- (IBAction)plotPoint:(id)sender;

@end
