//
//  SGFAppDelegate.m
//  BeeLine
//
//  Created by William Ray on 2/5/12.
//  Copyright (c) 2012 SGF. All rights reserved.
//

#import "SGFAppDelegate.h"

@implementation SGFAppDelegate
@synthesize window;
@synthesize myGroughGraph;
@synthesize xCoord;
@synthesize yCoord;

@synthesize ptsBrowser;

- (void)awakeFromNib
{
    theWindow = window;
    theGroughGraph = myGroughGraph;
    NSLog(@"SGFAppDelegate awake");
    NSLog(@"stored theWindow at %ld",window);
    NSLog(@"stored theGroughGraph at %ld",theGroughGraph);
}

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
	NSLog(@"applicationDidFinishLaunching");
	[NSApp hide:window];
	[window makeKeyAndOrderFront:nil];
	[window setLevel:NSFloatingWindowLevel];
}

+ (NSWindow*) getTheWindow
{
    return theWindow;
}

+ (QuartzGrough*) getTheGroughGraph
{
    return theGroughGraph;
}

// PointsBrowser was clicked
// - (IBAction) pointPicked: (id)sender
// {
//     NSLog(@"Point picked");
// }


- (BOOL) windowShouldClose : (NSNotification *) notification
{
	[NSApp hide:window];
	return NO ;
}

static int min(int x,int y) { return x < y ? x : y ; }

- (NSSize) windowWillResize:(NSWindow *)sender
					 toSize:(NSSize)frameSize
{
	int x = min(frameSize.width,frameSize.height);
	NSSize result = { x,x };
	return result ;
}

- (IBAction)plotPoint:(id)sender
{
    NSLog(@"Add was clicked");
    NSLog(@"Currently see window at %ld",window);

    myGroughGraph.anX = [[xCoord stringValue] floatValue];
    myGroughGraph.anY = [[yCoord stringValue] floatValue];
    [myGroughGraph plotUpdate];
//    NSLog(@"sending pointslistaddress %dl",myGroughGraph->pointsList);

    [ptsBrowser setPointsList:myGroughGraph->pointsList];
    [ptsBrowser refreshPoints];
}


@end


