//
//  Location.h
//  Attractions
//
//  Created by John Ray on 3/8/12.
//  Copyright (c) 2012 Poisontooth Enterprises. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Attraction;

@interface Location : NSManagedObject

@property (nonatomic, retain) NSString * city;
@property (nonatomic, retain) NSString * state;
@property (nonatomic, retain) NSString * zipcode;
@property (nonatomic, retain) NSSet *attractionInfo;
@end

@interface Location (CoreDataGeneratedAccessors)

- (void)addAttractionInfoObject:(Attraction *)value;
- (void)removeAttractionInfoObject:(Attraction *)value;
- (void)addAttractionInfo:(NSSet *)values;
- (void)removeAttractionInfo:(NSSet *)values;

@end
