//
//  Locations.h
//  Attractions
//
//  Created by John Ray on 3/5/12.
//  Copyright (c) 2012 Poisontooth Enterprises. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Attractions;

@interface Locations : NSManagedObject

@property (nonatomic, retain) NSString * city;
@property (nonatomic, retain) NSString * info;
@property (nonatomic, retain) NSString * state;
@property (nonatomic, retain) NSString * zipcode;
@property (nonatomic, retain) NSSet *attractionInfo;
@end

@interface Locations (CoreDataGeneratedAccessors)

- (void)addAttractionInfoObject:(Attractions *)value;
- (void)removeAttractionInfoObject:(Attractions *)value;
- (void)addAttractionInfo:(NSSet *)values;
- (void)removeAttractionInfo:(NSSet *)values;

@end
