//
//  Authors.h
//  Library
//
//  Created by John Ray on 2/9/12.
//  Copyright (c) 2012 Poisontooth Enterprises. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Books;

@interface Authors : NSManagedObject

@property (nonatomic, retain) NSString * email;
@property (nonatomic, retain) NSString * firstName;
@property (nonatomic, retain) NSString * lastName;
@property (nonatomic, retain) NSSet *bookInfo;
@end

@interface Authors (CoreDataGeneratedAccessors)

- (void)addBookInfoObject:(Books *)value;
- (void)removeBookInfoObject:(Books *)value;
- (void)addBookInfo:(NSSet *)values;
- (void)removeBookInfo:(NSSet *)values;

@end
