//
//  Lists.m
//  Lists
//
//  Created by William Ray on 1/28/12.
//  Copyright (c) 2012 SGF. All rights reserved.
//

#import "Lists.h"

@implementation Lists


- (id)initDLList: (void*)anitem 
{
	DLNode *n;
    self = [super init];
    if (self) {
		n = (DLNode *)malloc(sizeof(DLNode));
		n->item = anitem;
		n->next = NULL;
		n->prev = NULL;
		head = n;
        tail = n;
        current = n;
        isHead = TRUE;
        isTail = TRUE;
    }
    return self;	
}

- (void *)getCurrent
{
	return (current->item);
}


- (void *)getNext
{
    if (current->next != NULL)
    {
        current = current->next;
    }
    return (current->item);
}


- (void *)getPrev
{
    if (current->prev != NULL)
    {
        current = current->prev;
    }
    return (current->item);
}


- (void *)gotoHead
{
    current = head;
    return current->item;
}

- (void *)gotoTail
{
    current = tail;
    return current->item;
}

- (void)insert:(void *)anitem
// inserts after current
{
	DLNode *newNode = (DLNode *)malloc(sizeof(DLNode));
	newNode->item = anitem;
	newNode->next = current->next;
	newNode->prev = current;
    current->next = newNode;
    if (current == tail) {
        tail = newNode;
        isTail = TRUE;
    }
    current = newNode;
    isTail = FALSE;
}


- (void)prepend:  (void*)anitem
{
    
}

- (void)append:   (void*)anitem
{
    
}

- (void)replace:  (void*)anitem
{

}

- (void)remove:   (void*)anitem
{

}

@end
