//
//  ListsTests.m
//  ListsTests
//
//  Created by William Ray on 1/28/12.
//  Copyright (c) 2012 SGF. All rights reserved.
//

#import "ListsTests.h"
#import "Lists.h"

@implementation ListsTests

Lists *myList;

- (void)setUp
{
    [super setUp];
    
    NSLog(@"Starting Unit Tests");

    int *anInteger;
    
    anInteger = malloc(sizeof(int));
    *anInteger = 12;

    NSLog(@"Creating a List with an integer pointer, memory %lu value %d", (unsigned long)anInteger, *anInteger);
    myList = [[Lists alloc] initDLList: anInteger];
    NSLog(@"Successfully created");
    // Set-up code here.
}

- (void)tearDown
{
    // Tear-down code here.
    
    [super tearDown];
}

- (void)testExample
{
    int *retrieved;
    int *assigned;
    retrieved = myList.getCurrent;
    NSLog(@"retrieved the current value from %lu contains %d\n", (unsigned long)retrieved, *retrieved);
    
    assigned = malloc(sizeof(int));
    *assigned = 23;
    NSLog(@"Inserting in List with an integer pointer, memory %lu value %d", (unsigned long)assigned, *assigned);
    [myList insert:assigned];
    NSLog(@"Successfully inserted");
    
    retrieved = myList.getCurrent;
    NSLog(@"retrieved the current value from %lu contains %d\n", (unsigned long)retrieved, *retrieved);
    
    [myList gotoHead];
    retrieved = myList.getCurrent;
    NSLog(@"retrieved the current value from %lu contains %d\n", (unsigned long)retrieved, *retrieved);

    [myList getNext];
    retrieved = myList.getCurrent;
    NSLog(@"retrieved the current value from %lu contains %d\n", (unsigned long)retrieved, *retrieved);

    
    
//    STFail(@"Unit tests are not implemented yet in ListsTests");
}

@end
