//
//  SGFFlipsideViewController.h
//  iBLine
//
//  Created by William Ray on 2/24/12.
//  Copyright (c) 2012 SGF. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "cPoint.h"
#import "DataPhile.h"

@class SGFFlipsideViewController;

@protocol SGFFlipsideViewControllerDelegate
- (void)flipsideViewControllerDidFinish:(SGFFlipsideViewController *)controller;
@end

@interface SGFFlipsideViewController : UIViewController

@property (weak, nonatomic) IBOutlet id <SGFFlipsideViewControllerDelegate> delegate;

- (IBAction)done:(id)sender;

@property (strong, nonatomic) IBOutlet UITextField *xCoord;
@property (strong, nonatomic) IBOutlet UITextField *yCoord;

- (IBAction)plotPoint:(id)sender;

@property (weak, nonatomic) IBOutlet UITableView *pointsView;


@end
